Index: lib/style/skins/obfs/searchform.jsp
===================================================================
--- lib/style/skins/obfs/searchform.jsp	(revision 4079)
+++ lib/style/skins/obfs/searchform.jsp	(revision 4080)
@@ -25,6 +25,7 @@
 %>
 
 <%@ include file="../../common/common-settings.jsp"%>
+<%@ include file="../../common/configure-check.jsp"%>
 
 <form method="POST" action="<%=SERVLET_URL%>" target="_top">
 Search for: 
Index: test/edu/ucsb/nceas/metacattest/QueryResultBuilderTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/QueryResultBuilderTest.java	(revision 4079)
+++ test/edu/ucsb/nceas/metacattest/QueryResultBuilderTest.java	(revision 4080)
@@ -34,8 +34,8 @@
 
 import edu.ucsb.nceas.metacat.DBConnection;
 import edu.ucsb.nceas.metacat.DBConnectionPool;
-import edu.ucsb.nceas.metacat.MetaCatUtil;
 import edu.ucsb.nceas.metacat.Version;
+import edu.ucsb.nceas.metacat.service.PropertyService;
 import edu.ucsb.nceas.utilities.Options;
 
 import junit.framework.Test;
@@ -239,7 +239,7 @@
         	String   createDate = result.getString(5);
         	String updateDate = result.getString(6);
         	String completeDocid = docid
-                             + MetaCatUtil.getOption("accNumSeparator");
+                             + PropertyService.getProperty("accNumSeparator");
             completeDocid += rev;
             // Put everything into a string buffer
             StringBuffer document = new StringBuffer();
Index: test/edu/ucsb/nceas/metacattest/UploadIPCCDataTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/UploadIPCCDataTest.java	(revision 4079)
+++ test/edu/ucsb/nceas/metacattest/UploadIPCCDataTest.java	(revision 4080)
@@ -29,6 +29,8 @@
 import edu.ucsb.nceas.metacat.*;
 import edu.ucsb.nceas.metacat.client.Metacat;
 import edu.ucsb.nceas.metacat.client.MetacatFactory;
+import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.util.MetaCatUtil;
 import edu.ucsb.nceas.utilities.IOUtil;
 import edu.ucsb.nceas.utilities.Options;
 import edu.ucsb.nceas.utilities.XMLUtilities;
@@ -82,7 +84,7 @@
 		  {
 			  Options.initialize(new File("build/tests/metacat.properties"));
 			  MetaCatUtil.pathsForIndexing 
-			         = MetaCatUtil.getOptionList(MetaCatUtil.getOption("indexPaths"));
+			         = MetaCatUtil.getOptionList(PropertyService.getProperty("indexPaths"));
 		  }
 		  catch(Exception e)
 		  {
Index: test/edu/ucsb/nceas/metacattest/NonAsciiCharacterTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/NonAsciiCharacterTest.java	(revision 4079)
+++ test/edu/ucsb/nceas/metacattest/NonAsciiCharacterTest.java	(revision 4080)
@@ -33,7 +33,6 @@
 import java.util.SimpleTimeZone;
 import java.util.TimeZone;
 
-import edu.ucsb.nceas.metacat.MetaCatUtil;
 import edu.ucsb.nceas.metacat.client.InsufficientKarmaException;
 import edu.ucsb.nceas.metacat.client.Metacat;
 import edu.ucsb.nceas.metacat.client.MetacatAuthException;
@@ -40,8 +39,10 @@
 import edu.ucsb.nceas.metacat.client.MetacatException;
 import edu.ucsb.nceas.metacat.client.MetacatFactory;
 import edu.ucsb.nceas.metacat.client.MetacatInaccessibleException;
+import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.util.SystemUtil;
 import edu.ucsb.nceas.utilities.IOUtil;
-import edu.ucsb.nceas.utilities.Options;
+import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 import junit.framework.Test;
 import junit.framework.TestCase;
 import junit.framework.TestSuite;
@@ -52,25 +53,25 @@
  */
 public class NonAsciiCharacterTest
     extends TestCase {
-	 /* Initialize Options*/
-    static
-    {
-  	  try
-  	  {
-  		  Options.initialize(new File("build/tests/metacat.properties"));
-  		  MetaCatUtil.pathsForIndexing 
-  		         = MetaCatUtil.getOptionList(MetaCatUtil.getOption("indexPaths"));
-  	  }
-  	  catch(Exception e)
-  	  {
-  		  System.err.println("Exception in initialize option in MetacatServletNetTest "+e.getMessage());
-  	  }
-    }
-    private String metacatUrl = MetaCatUtil.getOption("metacatUrl");;
-    private String username = MetaCatUtil.getOption("mcuser");
-    private String password = MetaCatUtil.getOption("mcpassword");
-    private String anotheruser = MetaCatUtil.getOption("mcanotheruser");
-    private String anotherpassword = MetaCatUtil.getOption("mcanotherpassword");
+
+    private static String metacatUrl;
+    private static String username;
+	private static String password;
+	private static String anotheruser;
+	private static String anotherpassword;
+	static {
+		try {
+		    metacatUrl = SystemUtil.getServletURL();
+			username = PropertyService.getProperty("mcuser");
+			password = PropertyService.getProperty("mcpassword");
+			anotheruser = PropertyService.getProperty("mcanotheruser");
+			anotherpassword = PropertyService.getProperty("mcanotherpassword");
+		} catch (PropertyNotFoundException pnfe) {
+			System.err.println("Could not get property in static block: " 
+					+ pnfe.getMessage());
+		}
+	}
+
     private String prefix = "test";
     private String newdocid = null;
     private String testdocument = "";
Index: test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDetailLogTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDetailLogTest.java	(revision 4079)
+++ test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDetailLogTest.java	(revision 4080)
@@ -27,11 +27,12 @@
 
 package edu.ucsb.nceas.metacattest.harvesterClient;
 
-import edu.ucsb.nceas.metacat.MetaCatUtil;
 import edu.ucsb.nceas.metacat.harvesterClient.Harvester;
 import edu.ucsb.nceas.metacat.harvesterClient.HarvestDetailLog;
 import edu.ucsb.nceas.metacat.harvesterClient.HarvestDocument;
 import edu.ucsb.nceas.metacat.harvesterClient.HarvestSiteSchedule;
+import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.util.MetaCatUtil;
 import edu.ucsb.nceas.utilities.Options;
 
 import java.io.File;
@@ -58,7 +59,7 @@
 	  {
 		  Options.initialize(new File("build/tests/metacat.properties"));
 		  MetaCatUtil.pathsForIndexing 
-		         = MetaCatUtil.getOptionList(MetaCatUtil.getOption("indexPaths"));
+		         = MetaCatUtil.getOptionList(PropertyService.getProperty("indexPaths"));
 	  }
 	  catch(Exception e)
 	  {
Index: test/edu/ucsb/nceas/metacattest/harvesterClient/HarvesterTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/harvesterClient/HarvesterTest.java	(revision 4079)
+++ test/edu/ucsb/nceas/metacattest/harvesterClient/HarvesterTest.java	(revision 4080)
@@ -27,8 +27,9 @@
 
 package edu.ucsb.nceas.metacattest.harvesterClient;
 
-import edu.ucsb.nceas.metacat.MetaCatUtil;
 import edu.ucsb.nceas.metacat.harvesterClient.Harvester;
+import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.util.MetaCatUtil;
 import edu.ucsb.nceas.utilities.Options;
 import java.io.File;
 import java.io.FileInputStream;
@@ -52,7 +53,7 @@
 	  {
 		  Options.initialize(new File("build/tests/metacat.properties"));
 		  MetaCatUtil.pathsForIndexing 
-		         = MetaCatUtil.getOptionList(MetaCatUtil.getOption("indexPaths"));
+		         = MetaCatUtil.getOptionList(PropertyService.getProperty("indexPaths"));
 	  }
 	  catch(Exception e)
 	  {
Index: test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDocumentTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDocumentTest.java	(revision 4079)
+++ test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDocumentTest.java	(revision 4080)
@@ -27,10 +27,11 @@
 
 package edu.ucsb.nceas.metacattest.harvesterClient;
 
-import edu.ucsb.nceas.metacat.MetaCatUtil;
 import edu.ucsb.nceas.metacat.harvesterClient.HarvestDocument;
 import edu.ucsb.nceas.metacat.harvesterClient.HarvestSiteSchedule;
 import edu.ucsb.nceas.metacat.harvesterClient.Harvester;
+import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.util.MetaCatUtil;
 import edu.ucsb.nceas.utilities.Options;
 
 import java.io.File;
@@ -57,7 +58,7 @@
 	  {
 		  Options.initialize(new File("build/tests/metacat.properties"));
 		  MetaCatUtil.pathsForIndexing 
-		         = MetaCatUtil.getOptionList(MetaCatUtil.getOption("indexPaths"));
+		         = MetaCatUtil.getOptionList(PropertyService.getProperty("indexPaths"));
 	  }
 	  catch(Exception e)
 	  {
Index: test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestLogTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestLogTest.java	(revision 4079)
+++ test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestLogTest.java	(revision 4080)
@@ -27,7 +27,6 @@
 
 package edu.ucsb.nceas.metacattest.harvesterClient;
 
-import edu.ucsb.nceas.metacat.MetaCatUtil;
 import edu.ucsb.nceas.metacat.harvesterClient.HarvestSiteSchedule;
 import java.io.File;
 import java.sql.Connection;
@@ -39,6 +38,8 @@
 import edu.ucsb.nceas.metacat.harvesterClient.HarvestDetailLog;
 import edu.ucsb.nceas.metacat.harvesterClient.HarvestDocument;
 import edu.ucsb.nceas.metacat.harvesterClient.HarvestLog;
+import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.util.MetaCatUtil;
 import edu.ucsb.nceas.utilities.Options;
 import junit.framework.Test;
 import junit.framework.TestCase;
@@ -64,7 +65,7 @@
 	  {
 		  Options.initialize(new File("build/tests/metacat.properties"));
 		  MetaCatUtil.pathsForIndexing 
-		         = MetaCatUtil.getOptionList(MetaCatUtil.getOption("indexPaths"));
+		         = MetaCatUtil.getOptionList(PropertyService.getProperty("indexPaths"));
 	  }
 	  catch(Exception e)
 	  {
Index: test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestSiteScheduleTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestSiteScheduleTest.java	(revision 4079)
+++ test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestSiteScheduleTest.java	(revision 4080)
@@ -27,9 +27,10 @@
 
 package edu.ucsb.nceas.metacattest.harvesterClient;
 
-import edu.ucsb.nceas.metacat.MetaCatUtil;
 import edu.ucsb.nceas.metacat.harvesterClient.Harvester;
 import edu.ucsb.nceas.metacat.harvesterClient.HarvestSiteSchedule;
+import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.util.MetaCatUtil;
 import edu.ucsb.nceas.utilities.Options;
 
 import java.io.File;
@@ -56,7 +57,7 @@
 	  {
 		  Options.initialize(new File("build/tests/metacat.properties"));
 		  MetaCatUtil.pathsForIndexing 
-		         = MetaCatUtil.getOptionList(MetaCatUtil.getOption("indexPaths"));
+		         = MetaCatUtil.getOptionList(PropertyService.getProperty("indexPaths"));
 	  }
 	  catch(Exception e)
 	  {
Index: test/edu/ucsb/nceas/metacattest/QueryGroupTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/QueryGroupTest.java	(revision 4079)
+++ test/edu/ucsb/nceas/metacattest/QueryGroupTest.java	(revision 4080)
@@ -33,9 +33,10 @@
 import junit.framework.TestCase;
 import junit.framework.TestSuite;
 
-import edu.ucsb.nceas.metacat.MetaCatUtil;
 import edu.ucsb.nceas.metacat.QueryGroup;
 import edu.ucsb.nceas.metacat.QueryTerm;
+import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.util.MetaCatUtil;
 import edu.ucsb.nceas.utilities.Options;
 
 /**
@@ -53,7 +54,7 @@
   	  {
   		  Options.initialize(new File("build/tests/metacat.properties"));
   		  MetaCatUtil.pathsForIndexing 
-  		         = MetaCatUtil.getOptionList(MetaCatUtil.getOption("indexPaths"));
+  		         = MetaCatUtil.getOptionList(PropertyService.getProperty("indexPaths"));
   	  }
   	  catch(Exception e)
   	  {
Index: test/edu/ucsb/nceas/metacattest/EventLogTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/EventLogTest.java	(revision 4079)
+++ test/edu/ucsb/nceas/metacattest/EventLogTest.java	(revision 4080)
@@ -32,7 +32,7 @@
 
 import edu.ucsb.nceas.metacat.DBConnectionPool;
 import edu.ucsb.nceas.metacat.EventLog;
-import edu.ucsb.nceas.metacat.MetaCatUtil;
+import edu.ucsb.nceas.metacat.util.SystemUtil;
 import edu.ucsb.nceas.utilities.Options;
 
 import junit.framework.TestCase;
@@ -44,31 +44,16 @@
  */
 public class EventLogTest extends TestCase
 {
-	 /* Initialize Options*/
-    static
-    {
-  	  try
-  	  {
-  		  Options.initialize(new File("build/tests/metacat.properties"));
-  		  MetaCatUtil.pathsForIndexing 
-  		         = MetaCatUtil.getOptionList(MetaCatUtil.getOption("indexPaths"));
-  	  }
-  	  catch(Exception e)
-  	  {
-  		  System.err.println("Exception in initialize option in MetacatServletNetTest "+e.getMessage());
-  	  }
-    }
-	
-    private String propertyFileName = 
-    	MetaCatUtil.getOption("installDir") + "/WEB-INF/metacat.properties";
+    private String propertyFileName = null;
 
     protected void setUp() throws Exception
     {
+    	propertyFileName = SystemUtil.getContextDir() + "/WEB-INF/metacat.properties";
+    	
         super.setUp();
         try {
             File propertyFile = new File(propertyFileName);
             Options options = Options.initialize(propertyFile);
-            MetaCatUtil util = new MetaCatUtil();
             DBConnectionPool pool = DBConnectionPool.getInstance();
         } catch (FileNotFoundException e) {
             fail(e.getMessage());
Index: test/edu/ucsb/nceas/metacattest/MetaCatServletTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/MetaCatServletTest.java	(revision 4079)
+++ test/edu/ucsb/nceas/metacattest/MetaCatServletTest.java	(revision 4080)
@@ -27,9 +27,11 @@
 package edu.ucsb.nceas.metacattest;
 
 import edu.ucsb.nceas.metacat.*;
+import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.util.SystemUtil;
 import edu.ucsb.nceas.utilities.HttpMessage;
-import edu.ucsb.nceas.utilities.Options;
-//import edu.ucsb.nceas.morpho.framework.*;
+import edu.ucsb.nceas.utilities.Options; //import edu.ucsb.nceas.morpho.framework.*;
+import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 import junit.framework.Test;
 import junit.framework.TestCase;
 import junit.framework.TestResult;
